
<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">New User</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form [formGroup]="userForm" (ngSubmit)="createUser()">
        <div class="modal-body">
  
            <div class="form-group">
              <label for="firstName">First Name</label>
              <input formControlName="firstName" type="text" class="form-control" id="firstName">
            </div>
            <div class="form-group">
              <label for="lastName">Last Name</label>
              <input formControlName="lastName" type="text" class="form-control" id="lastName">
            </div>

            <div class="form-group">
              <label for="email">Email</label>
              <input formControlName="email"
              
              type="text" class="form-control" id="email">
            </div>
  
            <div class="form-group">
              <label for="password">Password</label>
              <input formControlName="password"
              
              type="password" class="form-control" id="password"
              >
            
            </div>
  
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
            <button class="btn btn-primary">Save</button>
          </div>
        </form>
      </div>
    </div>
  </div>
  